Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLOptionElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLOptionElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLOptionElement, Node

public class JRexHTMLOptionElementImpl
extends JRexHTMLElementImpl
implements HTMLOptionElement

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` | `getDefaultSelected()` Represents the value of the HTML selected attribute.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`int` | `getIndex()` The index of this `OPTION` in its parent `SELECT` , starting from 0.
`String` | `getLabel()` Option label for use in hierarchical menus.
`boolean` | `getSelected()` Represents the current state of the corresponding form control, in an interactive user agent.
`String` | `getText()` The text contained within the option element.
`String` | `getValue()` The current form control value.
`void` | `setDefaultSelected(boolean defaultSelected)` Represents the value of the HTML selected attribute.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setLabel(String label)` Option label for use in hierarchical menus.
`void` | `setSelected(boolean selected)` Represents the current state of the corresponding form control, in an interactive user agent.
`void` | `setValue(String value)` The current form control value.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Description copied from interface: `HTMLOptionElement`
  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

  Specified by:
    `getForm` in interface `HTMLOptionElement`

### getDefaultSelected

    public boolean getDefaultSelected()

  Description copied from interface: `HTMLOptionElement`
  Represents the value of the HTML selected attribute. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes. See the selected attribute definition in HTML 4.01.

  Specified by:
    `getDefaultSelected` in interface `HTMLOptionElement`

### setDefaultSelected

    public void setDefaultSelected(boolean defaultSelected)

  Description copied from interface: `HTMLOptionElement`
  Represents the value of the HTML selected attribute. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes. See the selected attribute definition in HTML 4.01.

  Specified by:
    `setDefaultSelected` in interface `HTMLOptionElement`

### getText

    public String getText()

  Description copied from interface: `HTMLOptionElement`
  The text contained within the option element.

  Specified by:
    `getText` in interface `HTMLOptionElement`

### getIndex

    public int getIndex()

  Description copied from interface: `HTMLOptionElement`
  The index of this `OPTION` in its parent `SELECT` , starting from 0.

  Specified by:
    `getIndex` in interface `HTMLOptionElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLOptionElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `getDisabled` in interface `HTMLOptionElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Description copied from interface: `HTMLOptionElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `setDisabled` in interface `HTMLOptionElement`

### getLabel

    public String getLabel()

  Description copied from interface: `HTMLOptionElement`
  Option label for use in hierarchical menus. See the label attribute definition in HTML 4.01.

  Specified by:
    `getLabel` in interface `HTMLOptionElement`

### setLabel

    public void setLabel(String label)

  Description copied from interface: `HTMLOptionElement`
  Option label for use in hierarchical menus. See the label attribute definition in HTML 4.01.

  Specified by:
    `setLabel` in interface `HTMLOptionElement`

### getSelected

    public boolean getSelected()

  Description copied from interface: `HTMLOptionElement`
  Represents the current state of the corresponding form control, in an interactive user agent. Changing this attribute changes the state of the form control, but does not change the value of the HTML selected attribute of the element.

  Specified by:
    `getSelected` in interface `HTMLOptionElement`

### setSelected

    public void setSelected(boolean selected)

  Description copied from interface: `HTMLOptionElement`
  Represents the current state of the corresponding form control, in an interactive user agent. Changing this attribute changes the state of the form control, but does not change the value of the HTML selected attribute of the element.

  Specified by:
    `setSelected` in interface `HTMLOptionElement`

### getValue

    public String getValue()

  Description copied from interface: `HTMLOptionElement`
  The current form control value. See the value attribute definition in HTML 4.01.

  Specified by:
    `getValue` in interface `HTMLOptionElement`

### setValue

    public void setValue(String value)

  Description copied from interface: `HTMLOptionElement`
  The current form control value. See the value attribute definition in HTML 4.01.

  Specified by:
    `setValue` in interface `HTMLOptionElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.